import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfTitleKeySchema } from '../enums/PdfTitleKey.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  title: z.string(),
  titleKey: PdfTitleKeySchema.optional(),
  createdAt: z.coerce.date().optional(),
  patientId: z.number().int()
}).strict();
export const PdfGroupCreateManyInputObjectSchema: z.ZodType<Prisma.PdfGroupCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.PdfGroupCreateManyInput>;
export const PdfGroupCreateManyInputObjectZodSchema = makeSchema();
